Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.editors
Class XMLDocumentProvider

    java.lang.Object
      |
      +--org.eclipse.ui.texteditor.AbstractDocumentProvider
            |
            +--org.eclipse.ui.editors.text.StorageDocumentProvider
                  |
                  +--org.eclipse.ui.editors.text.FileDocumentProvider
                        |
                        +--APStudio.editors.XMLDocumentProvider

All Implemented Interfaces:
  org.eclipse.ui.texteditor.IDocumentProvider, org.eclipse.ui.texteditor.IDocumentProviderExtension, org.eclipse.ui.texteditor.IDocumentProviderExtension2, org.eclipse.ui.editors.text.IStorageDocumentProvider

public class XMLDocumentProvider
extends org.eclipse.ui.editors.text.FileDocumentProvider

Constructor Summary
`XMLDocumentProvider()`

Methods inherited from class org.eclipse.ui.editors.text.FileDocumentProvider
`getModificationStamp, getSynchronizationStamp, isDeleted, isModifiable, resetDocument, synchronize`

Methods inherited from class org.eclipse.ui.editors.text.StorageDocumentProvider
`getDefaultEncoding, getEncoding, isReadOnly, setEncoding`

Methods inherited from class org.eclipse.ui.texteditor.AbstractDocumentProvider
`aboutToChange, addElementStateListener, canSaveDocument, changed, connect, disconnect, getAnnotationModel, getDocument, getProgressMonitor, getStatus, isStateValidated, mustSaveDocument, removeElementStateListener, saveDocument, setCanSaveDocument, setProgressMonitor, updateStateCache, validateState`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDocumentProvider

    public XMLDocumentProvider()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD